﻿var designer = null;
var viewer = null;

var report;
var dataSet;

var DataSourceName='DS';

var lstCustomers ={ "cusomers":  [{ "customer_id" : "1", "orders" : [ { "order_id" : "1", "price" : "11" }, { "order_id" : "2", "price" : "12" } ] }
,{ "customer_id" : "2", "orders" : [ { "order_id" : "3", "price" : "13" }, { "order_id" : "4", "price" : "14" } ] }
] }

try {

	createDesigner();

	report = new Stimulsoft.Report.StiReport();

	dataSet = new Stimulsoft.System.Data.DataSet(DataSourceName);
	dataSet.readJson(lstCustomers);

	report.regData(dataSet.dataSetName, "", dataSet);
	report.dictionary.synchronize();

	designer.report = report;
	
} catch(e) {
	alert(e);
}

function createDesigner() {

	// Report Options
	var options = new Stimulsoft.Designer.StiDesignerOptions();
	options.appearance.fullScreenMode = true;
	options.appearance.showSaveDialog = false;
	options.toolbar.showFileMenu = false;
	options.toolbar.showSaveButton = true;
	options.toolbar.showAboutButton = false;
	options.toolbar.showPageButton = false;
	//options.dictionary.dataSourcesPermissions = Stimulsoft.Designer.StiDesignerPermissions.View;
	//options.dictionary.dataConnectionsPermissions = Stimulsoft.Designer.StiDesignerPermissions.View;
	//options.dictionary.businessObjectsPermissions = Stimulsoft.Designer.StiDesignerPermissions.None;

	//options.dictionary.variablesPermissions = Stimulsoft.Designer.StiDesignerPermissions.None;
	//options.dictionary.dataRelationsPermissions = Stimulsoft.Designer.StiDesignerPermissions.None;
	//options.dictionary.dataColumnsPermissions = Stimulsoft.Designer.StiDesignerPermissions.View;

	designer = new Stimulsoft.Designer.StiDesigner(options, "StiDesigner", false);

	designer.renderHtml("designerContent");
}
